Home

Get transactions

GET
https://xtz-index.nownodes.io/v1/operations/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a list of transaction operations.

Parameters

anyofobject | nullquery

Filters transactions by any of the specified fields. Example: anyof.sender.target=tz1... will return operations where sender OR target is equal to the specified value. This parameter is useful when you need to.

initiatorobject | nullquery

Filters transactions by initiator. Allowed fields for .eqx mode: target.

senderobject | nullquery

Filters transactions by sender. Allowed fields for .eqx mode: target.

targetobject | nullquery

Filters transactions by target. Allowed fields for .eqx mode: sender, initiator.

amountobject | nullquery

Filters transactions by amount (micro tez).

idobject | nullquery

Filters transactions by id.

levelobject | nullquery

Filters transactions by level.

timestampobject | nullquery

Filters transactions by timestamp.

senderCodeHashobject | nullquery

Filters by senderCodeHash.

targetCodeHashobject | nullquery

Filters by targetCodeHash.

codeHashobject | nullquery

Filters by either senderCodeHash or targetCodeHash.

entrypointobject | nullquery

Filters transactions by entrypoint called on the target contract.

parameterobject | nullquery

Filters transactions by parameter value. Note, this query parameter supports the following format: ?parameter{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example:.

hasInternalsobject | nullquery

Filters transactions by presence of internal operations.

statusobject | nullquery

Filters transactions by operation status (applied, failed, backtracked, skipped).

selectobject | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortobject | nullquery

Sorts transactions by specified field. Supported fields: id (default), level, gasUsed, storageUsed, bakerFee, storageFee, allocationFee, amount.

offsetobject | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelinestringJsonJsonStringRawRawStringJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quotestringNoneBtcEurUsdCnyJpyKrwEthGbpNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Successful response.

400Bad Request

Invalid request.